Get a visible rule tag.
curl --request GET \
--url https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"tag": {
"category_slugs": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"data_plane_ready": true,
"description": "<string>",
"enabled": true,
"locked": true,
"name": "<string>",
"normalized_name": "<string>",
"public": true,
"revision": 2,
"slug": "<string>",
"source_registered": true,
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"validity": "<string>",
"individual_account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ttl_days": 32767
}
}Tags
Get a visible rule tag.
GET
https://api.infrawatch.com/api/v1
/
rules
/
tags
/
{tag_uuid}
Get a visible rule tag.
curl --request GET \
--url https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"tag": {
"category_slugs": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"data_plane_ready": true,
"description": "<string>",
"enabled": true,
"locked": true,
"name": "<string>",
"normalized_name": "<string>",
"public": true,
"revision": 2,
"slug": "<string>",
"source_registered": true,
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"validity": "<string>",
"individual_account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ttl_days": 32767
}
}⌘I